using UnityEngine;
using System.Collections;

public class SampleCommand
{
    private MenuButtons menuButtons;

    public SampleCommand()
    {
        GameObject tutorial = GameObject.FindGameObjectWithTag("tutorial");
        menuButtons = tutorial.GetComponent<MenuButtons>();
    }

    [Command("airmon-ng start wlan0", "Switch wlan0 into monitor mode")]
    public string airmonStart()
    {
        string text = "\nPHY\tInterface\tDriver\tChipser\nphy0\twlan0mon\trtl8788\tRealmek Semicolon Coop. RTL8788\n";
        menuButtons.activeStep(0);
        return text;
    }

    [Command("airodump-ng wlan0mon", "Display wireless networks")]
    public string airodump()
    {
        string [] wirelessNetworks = {
            "BSSID              PWR  Beacons  #Data,  #/s  CH  MB   ENC  CIPHER  AUTH  ESSID\n\n",
            "82:96:A0:CB:56:6D  -58       2       0     0   2  54e. WPA2 CCMP    PSK   RomTelecom-WPA-566\n",
            "7A:1D:67:7D:97:DC  -54       2       0     0  11  54e. WEP  WEP           RomTelecom-WEP-97D\n",
            "F4:F2:6D:E7:BA:02  -52       5       0     0   6  54e  WEP  WEP           SkyNet\n",
            "00:22:15:4B:40:4E  -70       2       0     0   1  54   OPN                iskola\n",
            "08:60:6E:5B:E9:14  -35       3       0     0   1  54e  WPA2 CCMP    PSK   ASUS\n"
        };
        string airodumpText = "";
        for (int i = 0; i < wirelessNetworks.Length; i++) {
            airodumpText += wirelessNetworks[i];
        }
        menuButtons.activeStep(1);
        return airodumpText;
    }

    [Command("airodump-ng -c 6 -w wep --bssid F4:F2:6D:E7:BA:02 wlan0mon", "")]
    public string airodump2()
    {
        string text = "CH 6 ][ Elapsed: 6 s ][ " + System.DateTime.Now + "\n\n";
        text +=       "BSSID              PWR  RXQ  Beacons  #Data,  #/s  CH  MB   ENC  CIPHER  AUTH  ESSID\n\n";
        text +=       "F4:F2:6D:E7:BA:02  -15  87       90       2     0   6  54e  WEP  WEP           SkyNet\n\n";
        text +=       "BSSID              STATION             PWR  Rate   Lost  Frames  Probe\n\n";
        text +=       "F4:F2:6D:E7:BA:02  00:21:6A:A9:40:24   -9   0 -54e    0       1\n\n";
        menuButtons.activeStep(2);
        return text;
    }

    [Command("aireplay-ng -1 0 -a F4:F2:6D:E7:BA:02 wlan0mon", "")]
    public string aireplay()
    {
        string text = "No source MAC (-h) specified. Using the device MAC (00:C0:CA:75:FF:FB)\n";
        text += System.DateTime.Now + " Waiting for beacon frame (BSSID: F4:F2:6D:E7:BA:02) on channel 6\n\n";
        text += System.DateTime.Now + " Sending Authentication Request (Open System) [ACK]\n";
        text += System.DateTime.Now + " Authentication Successful\n";
        text += System.DateTime.Now + " Sending Association Request [ACK]\n";
        text += System.DateTime.Now + " Association Successful :-) (AID: 1)\n";
        menuButtons.activeStep(3);
        return text;
    }

    [Command("aireplay-ng -3 -b F4:F2:6D:E7:BA:02 wlan0mon", "")]
    public string aireplay2()
    {
        string text = "";
        for (int i = 0; i < 100; i++)
            text += "Read " + (i+2000).ToString() + " packets (got 500 ARP request and 600 ACKs), sent 601 packets...(500 p...)\n";
        menuButtons.activeStep(4);
        return text;
    }

    [Command("ls", "")]
    public string list()
    {
        string text = "CupCake    Downloads    wep.cap    wep.kismet.cvs\n";
        text +=       "Desktop    replays.jks\n";
        menuButtons.activeStep(5);
        return text;
    }

    [Command("aircrack-ng wep.cap", "")]
    public string aircrackWep()
    {
        string text = "";

        text += "        Aircrack-ng 1.2 rc4        \n\n";
        text += "[00:00:01] Tested 677377 keys (got 5052 IVs)\n\n";


        text += "KB  depth  byte(vote)\n";
        text += " 0  2/ 10  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 1  2/  5  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 2  0/  1  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 3  6/  7  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 4  2/  3  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 5  1/  3  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 6  3/  4  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 7  0/  1  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 8  3/  4  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += " 9  2/  3  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += "10  0/  1  " + Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ") ";
        text += Random.Range(10, 99).ToString() + "(" + Random.Range(1000, 9999).ToString() + ")\n";

        text += "\n\n        KEY FOUND! [ AB:CD:E1:23:11 ]\n";
        text += "Decrypted correctly: 100%";

        return text;
    }
}
